package ftp_client;

import java.io.Serializable;

// Classe faisant office de sorte de structure contenant les informations sur un compte FTP,
// herite de Serializable afin de pouvoir la serialiser pour l'enregistrer dans un fichier
public class FTPInfo implements Serializable {
	
	/* Serializable */
	// Besoin de ca pour serialiser la classe
	private static final long serialVersionUID = 1L;
	
	/* Variables */
	// Nom d'utilisateur, mot de passe, adresse du serveur
	public String user, password, address;
	// Port du serveur
	public int port;

	/* Constructor */
	// Constructeur
	public FTPInfo(String address, int port, String user, String password) {
		this.address  = address.toLowerCase();
		this.port 	 = port;
		this.user	 = user;
		this.password = password;
	}
	
	/* equals() */
	// Si tous les elements de connexion sont egaux, alors retourner vrai
	public boolean equals(Object e){
		if(!(e instanceof FTPInfo)) return false;
		FTPInfo fi = (FTPInfo)e;
		return address.equals(fi.address) && port == fi.port && user.equals(fi.user) && password.equals(fi.password);
	}
	
	/* toString() */
	public String toString(){
		return address+", "+port+", "+user+", "+password;
	}
	
}
